Administration - Workflow & Audit
List the admin audit log
List the admin audit log
GET
https://api-oms.verolabs.co
/
api
/
v1
/
util
/
audit
List the admin audit log
curl --request GET \
--url https://api-oms.verolabs.co/api/v1/util/audit \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-oms.verolabs.co/api/v1/util/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/util/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/util/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/util/audit");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/util/audit");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"entries": [
{
"id": 123,
"actor": "<string>",
"action": "<string>",
"entity_type": "<string>",
"entity_id": "<string>",
"request_id": 123,
"detail": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Phản hồi
200 - application/json
OK
AuditResponse schema.
Audit entries returned by the response.
Hide child attributes
Hide child attributes
Unique identifier for the record.
User that performed the audited action.
Audited action name.
Audited entity type.
Audited entity identifier.
Request identifier.
Detailed information for the record.
Timestamp when the record was created.
⌘I
List the admin audit log
curl --request GET \
--url https://api-oms.verolabs.co/api/v1/util/audit \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-oms.verolabs.co/api/v1/util/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-oms.verolabs.co/api/v1/util/audit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-oms.verolabs.co/api/v1/util/audit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-oms.verolabs.co/api/v1/util/audit");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-oms.verolabs.co/api/v1/util/audit");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);{
"entries": [
{
"id": 123,
"actor": "<string>",
"action": "<string>",
"entity_type": "<string>",
"entity_id": "<string>",
"request_id": 123,
"detail": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}
